Bug 1017568 - Broken symlinks in hadoop packages
Broken symlinks in hadoop packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hadoop (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 04:00 EDT by Mattias Ellert
Modified: 2013-10-15 02:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: hadoop-2.0.5-12.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 02:33:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2013-10-10 04:00:24 EDT
Description of problem:

The hadoop packages contain many symlinks pointing to %{javadir}/hadoop/...

The intention was probably to use %{_javadir}/hadoop/...

/usr/share/hadoop/client/hadoop-client.jar
 -> %{javadir}/hadoop/hadoop-client.jar
/usr/share/hadoop/client/lib/hadoop-annotations.jar
 -> %{javadir}/hadoop/hadoop-annotations.jar
/usr/share/hadoop/client/lib/hadoop-auth.jar
 -> %{javadir}/hadoop/hadoop-auth.jar
/usr/share/hadoop/client/lib/hadoop-hdfs.jar
 -> %{javadir}/hadoop/hadoop-hdfs.jar
/usr/share/hadoop/client/lib/hadoop-mapreduce-client-app.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-app.jar
/usr/share/hadoop/client/lib/hadoop-mapreduce-client-common.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-common.jar
/usr/share/hadoop/client/lib/hadoop-mapreduce-client-core.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-core.jar
/usr/share/hadoop/client/lib/hadoop-mapreduce-client-jobclient.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-jobclient.jar
/usr/share/hadoop/client/lib/hadoop-mapreduce-client-shuffle.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-shuffle.jar
/usr/share/hadoop/client/lib/hadoop-yarn-api.jar
 -> %{javadir}/hadoop/hadoop-yarn-api.jar
/usr/share/hadoop/client/lib/hadoop-yarn-client.jar
 -> %{javadir}/hadoop/hadoop-yarn-client.jar
/usr/share/hadoop/client/lib/hadoop-yarn-common.jar
 -> %{javadir}/hadoop/hadoop-yarn-common.jar
/usr/share/hadoop/client/lib/hadoop-yarn-server-common.jar
 -> %{javadir}/hadoop/hadoop-yarn-server-common.jar
/usr/share/hadoop/common/lib/hadoop-annotations.jar
 -> %{javadir}/hadoop/hadoop-annotations.jar
/usr/share/hadoop/common/lib/hadoop-auth.jar
 -> %{javadir}/hadoop/hadoop-auth.jar
/usr/share/hadoop/hdfs/hadoop-hdfs.jar
 -> %{javadir}/hadoop/hadoop-hdfs.jar
/usr/share/hadoop/hdfs/lib/hadoop-bkjournal.jar
 -> %{javadir}/hadoop/hadoop-bkjournal.jar
/usr/share/hadoop/mapreduce/hadoop-archives.jar
 -> %{javadir}/hadoop/hadoop-archives.jar
/usr/share/hadoop/mapreduce/hadoop-datajoin.jar
 -> %{javadir}/hadoop/hadoop-datajoin.jar
/usr/share/hadoop/mapreduce/hadoop-distcp.jar
 -> %{javadir}/hadoop/hadoop-distcp.jar
/usr/share/hadoop/mapreduce/hadoop-extras.jar
 -> %{javadir}/hadoop/hadoop-extras.jar
/usr/share/hadoop/mapreduce/hadoop-gridmix.jar
 -> %{javadir}/hadoop/hadoop-gridmix.jar
/usr/share/hadoop/mapreduce/hadoop-mapreduce-client-app.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-app.jar
/usr/share/hadoop/mapreduce/hadoop-mapreduce-client-common.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-common.jar
/usr/share/hadoop/mapreduce/hadoop-mapreduce-client-core.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-core.jar
/usr/share/hadoop/mapreduce/hadoop-mapreduce-client-hs-plugins.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-hs-plugins.jar
/usr/share/hadoop/mapreduce/hadoop-mapreduce-client-hs.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-hs.jar
/usr/share/hadoop/mapreduce/hadoop-mapreduce-client-jobclient.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-jobclient.jar
/usr/share/hadoop/mapreduce/hadoop-mapreduce-client-shuffle.jar
 -> %{javadir}/hadoop/hadoop-mapreduce-client-shuffle.jar
/usr/share/hadoop/mapreduce/hadoop-rumen.jar
 -> %{javadir}/hadoop/hadoop-rumen.jar
/usr/share/hadoop/mapreduce/hadoop-streaming.jar
 -> %{javadir}/hadoop/hadoop-streaming.jar
/usr/share/hadoop/mapreduce/lib/hadoop-annotations.jar
 -> %{javadir}/hadoop/hadoop-annotations.jar
/usr/share/hadoop/yarn/hadoop-yarn-api.jar
 -> %{javadir}/hadoop/hadoop-yarn-api.jar
/usr/share/hadoop/yarn/hadoop-yarn-applications-distributedshell.jar
 -> %{javadir}/hadoop/hadoop-yarn-applications-distributedshell.jar
/usr/share/hadoop/yarn/hadoop-yarn-applications-unmanaged-am-launcher.jar
 -> %{javadir}/hadoop/hadoop-yarn-applications-unmanaged-am-launcher.jar
/usr/share/hadoop/yarn/hadoop-yarn-client.jar
 -> %{javadir}/hadoop/hadoop-yarn-client.jar
/usr/share/hadoop/yarn/hadoop-yarn-common.jar
 -> %{javadir}/hadoop/hadoop-yarn-common.jar
/usr/share/hadoop/yarn/hadoop-yarn-server-common.jar
 -> %{javadir}/hadoop/hadoop-yarn-server-common.jar
/usr/share/hadoop/yarn/hadoop-yarn-server-nodemanager.jar
 -> %{javadir}/hadoop/hadoop-yarn-server-nodemanager.jar
/usr/share/hadoop/yarn/hadoop-yarn-server-resourcemanager.jar
 -> %{javadir}/hadoop/hadoop-yarn-server-resourcemanager.jar
/usr/share/hadoop/yarn/hadoop-yarn-server-web-proxy.jar
 -> %{javadir}/hadoop/hadoop-yarn-server-web-proxy.jar
/usr/share/hadoop/yarn/hadoop-yarn-site.jar
 -> %{javadir}/hadoop/hadoop-yarn-site.jar
/usr/share/hadoop/yarn/lib/hadoop-annotations.jar
 -> %{javadir}/hadoop/hadoop-annotations.jar

Version-Release number of selected component (if applicable):

hadoop-client-0:2.0.5-11.fc21.noarch
hadoop-common-0:2.0.5-11.fc21.noarch
hadoop-hdfs-0:2.0.5-11.fc21.noarch
hadoop-mapreduce-0:2.0.5-11.fc21.noarch
hadoop-yarn-0:2.0.5-11.fc21.noarch
Comment 1 Fedora Update System 2013-10-10 18:11:11 EDT
hadoop-2.0.5-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hadoop-2.0.5-12.fc20
Comment 2 Fedora Update System 2013-10-11 12:50:53 EDT
Package hadoop-2.0.5-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hadoop-2.0.5-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18873/hadoop-2.0.5-12.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-15 02:33:03 EDT
hadoop-2.0.5-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.